Page MenuHomePhabricator

Use new Google+ API for Google auth instead of "userinfo"
ClosedPublic

Authored by epriestley on Mar 25 2014, 6:29 PM.
Tags
None
Referenced Files
F11404983: D8612.diff
Thu, Dec 1, 8:03 PM
Unknown Object (File)
Thu, Nov 17, 3:11 AM
Unknown Object (File)
Wed, Nov 16, 9:05 PM
Unknown Object (File)
Mon, Nov 14, 10:51 AM
Unknown Object (File)
Mon, Nov 14, 9:20 AM
Unknown Object (File)
Mon, Nov 14, 9:20 AM
Unknown Object (File)
Mon, Nov 7, 10:03 AM
Unknown Object (File)
Mon, Nov 7, 9:31 AM

Details

Summary

Google is moving away from the APIs we're using, as described in this timetable:

https://developers.google.com/+/api/auth-migration#timetable

Although the timetable says the API is good until Sept 1, 2014, we're seeing the API fail on secure.phabricator.com and have received user reports of failures as well.

I can't figure out any configuration changes that users can make to keep the current APIs working, so just upgrade to the new ones.

Test Plan

Registered and logged in with Google.

Diff Detail

Repository
rPHU libphutil
Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

epriestley retitled this revision from to Use new Google+ API for Google auth instead of "userinfo".
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: btrahan.
  • Raise a more specific and hopefully more useful exception.
btrahan edited edge metadata.
This revision is now accepted and ready to land.Mar 25 2014, 7:31 PM
epriestley updated this revision to Diff 20409.

Closed by commit rPHU1ea12a01671d (authored by @epriestley).